Bug 24344 - Modify OPAC link to suggest existing record for purchase
Summary: Modify OPAC link to suggest existing record for purchase
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 14963
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-04 23:11 UTC by Owen Leonard
Modified: 2020-02-01 00:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24344: Modify OPAC link to suggest existing record for purchase (1.52 KB, patch)
2020-01-04 23:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24344: Modify OPAC link to suggest existing record for purchase (1.59 KB, patch)
2020-01-05 21:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24344: Modify OPAC link to suggest existing record for purchase (1.65 KB, patch)
2020-01-14 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-01-04 23:11:22 UTC
+++ This bug was initially created as a clone of Bug #14963 +++

Katrin Fischer suggested:

> What do you think of using a little 'present' icon instead of the money
> (bill) icon?
> 
> Also we could slightly rephrase it to make it shorter: 
> 
> Currently:
> New purchase suggestion for this title
> 
> Suggestion:
> Suggest for purchase
Comment 1 Owen Leonard 2020-01-04 23:15:12 UTC
Created attachment 96824 [details] [review]
Bug 24344: Modify OPAC link to suggest existing record for purchase

This patch modifies the link to suggest purchase of an existing record
from the OPAC. The icon is changed to "gift" and the text shortened to
"Suggest for purchase."

To test, apply the patch and view the detail page of any record in the
OPAC. Confirm that the modifications look good.
Comment 2 Jonathan Druart 2020-01-05 21:01:40 UTC
Created attachment 96828 [details] [review]
Bug 24344: Modify OPAC link to suggest existing record for purchase

This patch modifies the link to suggest purchase of an existing record
from the OPAC. The icon is changed to "gift" and the text shortened to
"Suggest for purchase."

To test, apply the patch and view the detail page of any record in the
OPAC. Confirm that the modifications look good.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Katrin Fischer 2020-01-14 22:02:12 UTC
Created attachment 97371 [details] [review]
Bug 24344: Modify OPAC link to suggest existing record for purchase

This patch modifies the link to suggest purchase of an existing record
from the OPAC. The icon is changed to "gift" and the text shortened to
"Suggest for purchase."

To test, apply the patch and view the detail page of any record in the
OPAC. Confirm that the modifications look good.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-01-20 16:34:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-02-01 00:03:58 UTC
Enhancement not backported to 19.11.x branch